#ifndef MYFRAME_H
#define MYFRAME_H
#include <wx/wx.h>
#include <wx/msw/registry.h>


//** class MyFrame
//
// Main frame
//
// Derived from: wxFrame

class MyFrame : public wxFrame
{
    public:
        // constructor(title, position, size)
        MyFrame(const wxString& title, const wxPoint& pos, const wxSize& size);
        // destructor
        ~MyFrame();


        void ActivateDesactivate(); // activate or desactivate
        void InitGUI();

        void OnMenuQuit(wxCommandEvent& WXUNUSED(event)); // actions executed when 'Quit' menu item is selected
        void OnMenuAbout(wxCommandEvent& WXUNUSED(event)); // actions executed when 'About' menu item is selected

        void OnClickActivateDesactivate(wxCommandEvent& WXUNUSED(event)); // actions executed when 'Active/Desactive' button is clicked

        void OnCloseWindow(wxCloseEvent& WXUNUSED(event)); // actions executed when the frame is closed

    private:
        wxButton* btnActivateDesactivate;      // 'Activate/Desactivate' button

        wxRegKey* rkeyApp;      // shmedia reg key
        bool shMediaState;
        wxString txtStatusBar;
        wxString txtButton;


    DECLARE_EVENT_TABLE()
};

#endif // MYFRAME_H
